let transitions_occurences = [ 
Transition(Q(0) , Wildcard ,Q(1) , Wildcard , Left) ;
Transition(Q(1) , Epsilon ,Q(2) , Lettre('=') , Left) ;
Transition(Q(2) , Epsilon ,Q(3) , Lettre('0') , Right) ;
Transition(Q(3) , Lettre('*') ,Q(4) , Lettre('*') , Left) ;
Transition(Q(3) , Wildcard ,Q(3) , Wildcard , Right) ;
Transition(Q(4) , Lettre('/') ,Q(900) , Lettre('*') , Left) ;
Transition(Q(4) , Lettre('a') ,Q(100) , Lettre('*') , Left) ;
Transition(Q(4) , Lettre('b') ,Q(101) , Lettre('*') , Left) ;
Transition(Q(4) , Lettre('c') ,Q(102) , Lettre('*') , Left) ;
Transition(Q(4) , Lettre('d') ,Q(103) , Lettre('*') , Left) ;
Transition(Q(4) , Lettre('e') ,Q(104) , Lettre('*') , Left) ;
Transition(Q(4) , Lettre('f') ,Q(105) , Lettre('*') , Left) ;
Transition(Q(4) , Lettre('g') ,Q(106) , Lettre('*') , Left) ;
Transition(Q(4) , Lettre('h') ,Q(107) , Lettre('*') , Left) ;
Transition(Q(4) , Lettre('i') ,Q(108) , Lettre('*') , Left) ;
Transition(Q(4) , Lettre('j') ,Q(109) , Lettre('*') , Left) ;
Transition(Q(4) , Lettre('k') ,Q(110) , Lettre('*') , Left) ;
Transition(Q(4) , Lettre('l') ,Q(111) , Lettre('*') , Left) ;
Transition(Q(4) , Lettre('m') ,Q(112) , Lettre('*') , Left) ;
Transition(Q(4) , Lettre('n') ,Q(113) , Lettre('*') , Left) ;
Transition(Q(4) , Lettre('o') ,Q(114) , Lettre('*') , Left) ;
Transition(Q(4) , Lettre('p') ,Q(115) , Lettre('*') , Left) ;
Transition(Q(4) , Lettre('q') ,Q(116) , Lettre('*') , Left) ;
Transition(Q(4) , Lettre('r') ,Q(117) , Lettre('*') , Left) ;
Transition(Q(4) , Lettre('s') ,Q(118) , Lettre('*') , Left) ;
Transition(Q(4) , Lettre('t') ,Q(119) , Lettre('*') , Left) ;
Transition(Q(4) , Lettre('u') ,Q(120) , Lettre('*') , Left) ;
Transition(Q(4) , Lettre('v') ,Q(121) , Lettre('*') , Left) ;
Transition(Q(4) , Lettre('w') ,Q(122) , Lettre('*') , Left) ;
Transition(Q(4) , Lettre('x') ,Q(123) , Lettre('*') , Left) ;
Transition(Q(4) , Lettre('y') ,Q(124) , Lettre('*') , Left) ;
Transition(Q(4) , Lettre('z') ,Q(125) , Lettre('*') , Left) ;
Transition(Q(4) , Wildcard ,Q(4) , Lettre('*') , Left) ;
Transition(Q(100) , Lettre('/') ,Q(200) , Lettre('/') , Left) ;
Transition(Q(101) , Lettre('/') ,Q(201) , Lettre('/') , Left) ;
Transition(Q(102) , Lettre('/') ,Q(202) , Lettre('/') , Left) ;
Transition(Q(103) , Lettre('/') ,Q(203) , Lettre('/') , Left) ;
Transition(Q(104) , Lettre('/') ,Q(204) , Lettre('/') , Left) ;
Transition(Q(105) , Lettre('/') ,Q(205) , Lettre('/') , Left) ;
Transition(Q(106) , Lettre('/') ,Q(206) , Lettre('/') , Left) ;
Transition(Q(107) , Lettre('/') ,Q(207) , Lettre('/') , Left) ;
Transition(Q(108) , Lettre('/') ,Q(208) , Lettre('/') , Left) ;
Transition(Q(109) , Lettre('/') ,Q(209) , Lettre('/') , Left) ;
Transition(Q(110) , Lettre('/') ,Q(210) , Lettre('/') , Left) ;
Transition(Q(111) , Lettre('/') ,Q(211) , Lettre('/') , Left) ;
Transition(Q(112) , Lettre('/') ,Q(212) , Lettre('/') , Left) ;
Transition(Q(113) , Lettre('/') ,Q(213) , Lettre('/') , Left) ;
Transition(Q(114) , Lettre('/') ,Q(214) , Lettre('/') , Left) ;
Transition(Q(115) , Lettre('/') ,Q(215) , Lettre('/') , Left) ;
Transition(Q(116) , Lettre('/') ,Q(216) , Lettre('/') , Left) ;
Transition(Q(117) , Lettre('/') ,Q(217) , Lettre('/') , Left) ;
Transition(Q(118) , Lettre('/') ,Q(218) , Lettre('/') , Left) ;
Transition(Q(119) , Lettre('/') ,Q(219) , Lettre('/') , Left) ;
Transition(Q(120) , Lettre('/') ,Q(220) , Lettre('/') , Left) ;
Transition(Q(121) , Lettre('/') ,Q(221) , Lettre('/') , Left) ;
Transition(Q(122) , Lettre('/') ,Q(222) , Lettre('/') , Left) ;
Transition(Q(123) , Lettre('/') ,Q(223) , Lettre('/') , Left) ;
Transition(Q(124) , Lettre('/') ,Q(224) , Lettre('/') , Left) ;
Transition(Q(125) , Lettre('/') ,Q(225) , Lettre('/') , Left) ;
Transition(Q(100) , Wildcard ,Q(100) , Wildcard , Left) ;
Transition(Q(101) , Wildcard ,Q(101) , Wildcard , Left) ;
Transition(Q(102) , Wildcard ,Q(102) , Wildcard , Left) ;
Transition(Q(103) , Wildcard ,Q(103) , Wildcard , Left) ;
Transition(Q(104) , Wildcard ,Q(104) , Wildcard , Left) ;
Transition(Q(105) , Wildcard ,Q(105) , Wildcard , Left) ;
Transition(Q(106) , Wildcard ,Q(106) , Wildcard , Left) ;
Transition(Q(107) , Wildcard ,Q(107) , Wildcard , Left) ;
Transition(Q(108) , Wildcard ,Q(108) , Wildcard , Left) ;
Transition(Q(109) , Wildcard ,Q(109) , Wildcard , Left) ;
Transition(Q(110) , Wildcard ,Q(110) , Wildcard , Left) ;
Transition(Q(111) , Wildcard ,Q(111) , Wildcard , Left) ;
Transition(Q(112) , Wildcard ,Q(112) , Wildcard , Left) ;
Transition(Q(113) , Wildcard ,Q(113) , Wildcard , Left) ;
Transition(Q(114) , Wildcard ,Q(114) , Wildcard , Left) ;
Transition(Q(115) , Wildcard ,Q(115) , Wildcard , Left) ;
Transition(Q(116) , Wildcard ,Q(116) , Wildcard , Left) ;
Transition(Q(117) , Wildcard ,Q(117) , Wildcard , Left) ;
Transition(Q(118) , Wildcard ,Q(118) , Wildcard , Left) ;
Transition(Q(119) , Wildcard ,Q(119) , Wildcard , Left) ;
Transition(Q(120) , Wildcard ,Q(120) , Wildcard , Left) ;
Transition(Q(121) , Wildcard ,Q(121) , Wildcard , Left) ;
Transition(Q(122) , Wildcard ,Q(122) , Wildcard , Left) ;
Transition(Q(123) , Wildcard ,Q(123) , Wildcard , Left) ;
Transition(Q(124) , Wildcard ,Q(124) , Wildcard , Left) ;
Transition(Q(125) , Wildcard ,Q(125) , Wildcard , Left) ;
Transition(Q(200) , Lettre('a') ,Q(10) , Lettre('a') , Left) ;
Transition(Q(201) , Lettre('b') ,Q(10) , Lettre('b') , Left) ;
Transition(Q(202) , Lettre('c') ,Q(10) , Lettre('c') , Left) ;
Transition(Q(203) , Lettre('d') ,Q(10) , Lettre('d') , Left) ;
Transition(Q(204) , Lettre('e') ,Q(10) , Lettre('e') , Left) ;
Transition(Q(205) , Lettre('f') ,Q(10) , Lettre('f') , Left) ;
Transition(Q(206) , Lettre('g') ,Q(10) , Lettre('g') , Left) ;
Transition(Q(207) , Lettre('h') ,Q(10) , Lettre('h') , Left) ;
Transition(Q(208) , Lettre('i') ,Q(10) , Lettre('i') , Left) ;
Transition(Q(209) , Lettre('j') ,Q(10) , Lettre('j') , Left) ;
Transition(Q(210) , Lettre('k') ,Q(10) , Lettre('k') , Left) ;
Transition(Q(211) , Lettre('l') ,Q(10) , Lettre('l') , Left) ;
Transition(Q(212) , Lettre('m') ,Q(10) , Lettre('m') , Left) ;
Transition(Q(213) , Lettre('n') ,Q(10) , Lettre('n') , Left) ;
Transition(Q(214) , Lettre('o') ,Q(10) , Lettre('o') , Left) ;
Transition(Q(215) , Lettre('p') ,Q(10) , Lettre('p') , Left) ;
Transition(Q(216) , Lettre('q') ,Q(10) , Lettre('q') , Left) ;
Transition(Q(217) , Lettre('r') ,Q(10) , Lettre('r') , Left) ;
Transition(Q(218) , Lettre('s') ,Q(10) , Lettre('s') , Left) ;
Transition(Q(219) , Lettre('t') ,Q(10) , Lettre('t') , Left) ;
Transition(Q(220) , Lettre('u') ,Q(10) , Lettre('u') , Left) ;
Transition(Q(221) , Lettre('v') ,Q(10) , Lettre('v') , Left) ;
Transition(Q(222) , Lettre('w') ,Q(10) , Lettre('w') , Left) ;
Transition(Q(223) , Lettre('x') ,Q(10) , Lettre('x') , Left) ;
Transition(Q(224) , Lettre('y') ,Q(10) , Lettre('y') , Left) ;
Transition(Q(225) , Lettre('z') ,Q(10) , Lettre('z') , Left) ;
Transition(Q(200) , Wildcard ,Q(3) , Wildcard , Right) ;
Transition(Q(201) , Wildcard ,Q(3) , Wildcard , Right) ;
Transition(Q(202) , Wildcard ,Q(3) , Wildcard , Right) ;
Transition(Q(203) , Wildcard ,Q(3) , Wildcard , Right) ;
Transition(Q(204) , Wildcard ,Q(3) , Wildcard , Right) ;
Transition(Q(205) , Wildcard ,Q(3) , Wildcard , Right) ;
Transition(Q(206) , Wildcard ,Q(3) , Wildcard , Right) ;
Transition(Q(207) , Wildcard ,Q(3) , Wildcard , Right) ;
Transition(Q(208) , Wildcard ,Q(3) , Wildcard , Right) ;
Transition(Q(209) , Wildcard ,Q(3) , Wildcard , Right) ;
Transition(Q(210) , Wildcard ,Q(3) , Wildcard , Right) ;
Transition(Q(211) , Wildcard ,Q(3) , Wildcard , Right) ;
Transition(Q(212) , Wildcard ,Q(3) , Wildcard , Right) ;
Transition(Q(213) , Wildcard ,Q(3) , Wildcard , Right) ;
Transition(Q(214) , Wildcard ,Q(3) , Wildcard , Right) ;
Transition(Q(215) , Wildcard ,Q(3) , Wildcard , Right) ;
Transition(Q(216) , Wildcard ,Q(3) , Wildcard , Right) ;
Transition(Q(217) , Wildcard ,Q(3) , Wildcard , Right) ;
Transition(Q(218) , Wildcard ,Q(3) , Wildcard , Right) ;
Transition(Q(219) , Wildcard ,Q(3) , Wildcard , Right) ;
Transition(Q(220) , Wildcard ,Q(3) , Wildcard , Right) ;
Transition(Q(221) , Wildcard ,Q(3) , Wildcard , Right) ;
Transition(Q(222) , Wildcard ,Q(3) , Wildcard , Right) ;
Transition(Q(223) , Wildcard ,Q(3) , Wildcard , Right) ;
Transition(Q(224) , Wildcard ,Q(3) , Wildcard , Right) ;
Transition(Q(225) , Wildcard ,Q(3) , Wildcard , Right) ;
Transition(Q(10) , Lettre('=') ,Q(11) , Lettre('=') , Left) ;
Transition(Q(10) , Wildcard ,Q(10) , Wildcard , Left) ;
Transition(Q(11) , Epsilon ,Q(3) , Lettre('1') , Right) ;
Transition(Q(11) , Lettre('0') ,Q(3) , Lettre('1') , Right) ;
Transition(Q(11) , Lettre('1') ,Q(11) , Lettre('0') , Left) ;
Transition(Q(900) , Epsilon ,Q(901) , Epsilon , Left) ;
Transition(Q(900) , Wildcard ,Q(900) , Wildcard , Right) ;
Transition(Q(901) , Lettre('=') ,Q(902) , Epsilon , Left) ;
Transition(Q(901) , Wildcard ,Q(901) , Epsilon , Left) ;
Transition(Q(902) , Epsilon ,Q(999) , Epsilon , Right) ;
Transition(Q(902) , Wildcard ,Q(902) , Wildcard , Left)
];;
